package kr.co.hanwha.hifive.admin.network.model;

import android.text.TextUtils;
import android.view.TextureView;

/**
 * Created by sanghoonkwon on 2018. 3. 12..
 */

public class AdminMemberDetailHrInfo {
    /**
     * "클러스터 원"
     */
    String track_name;
    /**
     * 0
     */
    int track_status;
    /**
     * null
     */
    String track_deleted_at;
    /**
     * "도와줘요개발팀2"
     */
    String project_name;
    /**
     * 0
     */
    int project_status_code;
    /**
     * "정상"
     */
    String project_code;
    /**
     * null
     */
    String project_deleted_at;
    /**
     * "kookhee.lee@hanwha.com"
     */
    String login;
    /**
     * false
     */
    boolean is_null_authcode;
    /**
     * "부장"
     */
    String rank;
    /**
     * "부장"
     */
    String position;
    /**
     * "010-4864-4312"
     */
    String phone_mobile;

    public String getTrack_name() {
        return track_name;
    }

    public int getTrack_status() {
        return track_status;
    }

    public String getTrack_deleted_at() {
        return track_deleted_at;
    }

    public String getProject_name() {
        return TextUtils.isEmpty(project_name) ? "" : project_name;
    }

    public int getProject_status_code() {
        return project_status_code;
    }

    public String getProject_code() {
        return project_code;
    }

    public String getProject_deleted_at() {
        return project_deleted_at;
    }

    public String getLogin() {
        return login;
    }

    public boolean isIs_null_authcode() {
        return is_null_authcode;
    }

    public String getRank() {
        return rank;
    }

    public String getPosition() {
        return position;
    }

    public String getPhone_mobile() {
        return phone_mobile;
    }
}
/**
 * {
 * "track_name": "클러스터 원",
 * "track_status": 0,
 * "track_deleted_at": null,
 * "project_name": "도와줘요개발팀2",
 * "project_status_code": 0,
 * "project_code": "정상",
 * "project_deleted_at": null,
 * "login": "kookhee.lee@hanwha.com",
 * "is_null_authcode": false,
 * "rank": "부장",
 * "position": "부장",
 * "phone_mobile": "010-4864-4312"
 * }
 **/